"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var winston = require('winston');
winston.emitErrs = true;
//tslint:disable
exports.logger = new winston.Logger({
    exceptionHandlers: [
        new winston.transports.File({ filename: 'logs/exception.log' }),
    ],
    exitOnError: false,
    transports: [
        new winston.transports.File({
            colorize: false,
            filename: 'logs/info.log',
            handleExceptions: false,
            json: true,
            level: 'info',
            maxFiles: 5,
            maxsize: 5242880,
            name: 'infolog',
        }),
        new winston.transports.File({
            colorize: false,
            filename: 'logs/error.log',
            handleExceptions: false,
            json: true,
            level: 'error',
            maxFiles: 5,
            maxsize: 5242880,
            name: 'errorlog',
        }),
    ],
});
